## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           plutovg
Version:        1.3.0
Release:        %autorelease
Summary:        Tiny 2D vector graphics library in C
License:        MIT AND FTL
URL:            https://github.com/sammycage/plutovg

Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         %{name}-system-stb.patch
Patch1:         %{name}-soversion-cmake.patch

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  stb_image-devel
BuildRequires:  stb_image_write-devel
BuildRequires:  stb_truetype-devel

%description
PlutoVG is a standalone 2D vector graphics library in C.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        samples
Summary:        Sample programs for %{name}

%description    samples
Sample programs that use %{name}.

%prep
%autosetup -p1
# Remove bundled stb:
rm -fv source/%{name}-stb-*.h

%build
%cmake \
    -DCMAKE_SKIP_RPATH=ON \
    -DPLUTOVG_BUILD_EXAMPLES=ON
%cmake_build

%install
%cmake_install
install -p -m 0755 -D %{_vpath_builddir}/examples/smiley %{buildroot}%{_bindir}/smiley

%check
%ctest
# At the moment there are no meson tests defined and the above command is a no-op,
# so run the sample program as a test:
export LD_LIBRARY_PATH=%{_vpath_builddir}
%{_vpath_builddir}/examples/smiley

%files
%license LICENSE source/FTL.TXT
%doc README.md
%{_libdir}/lib%{name}.so.1
%{_libdir}/lib%{name}.so.%{version}

%files devel
%{_libdir}/cmake/%{name}
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files samples
%{_bindir}/smiley

%changelog
## START: Generated by rpmautospec
* Wed Jul 23 2025 Simone Caronni <negativo17@gmail.com> - 1.3.0-5
- Set LD_LIBRARY_PATH for tests

* Wed Jul 23 2025 Simone Caronni <negativo17@gmail.com> - 1.3.0-4
- Disable RUNPATH

* Wed Jul 23 2025 Simone Caronni <negativo17@gmail.com> - 1.3.0-3
- Switch to CMake for building (#2381434)

* Wed Jul 23 2025 Simone Caronni <negativo17@gmail.com> - 1.3.0-2
- Allow building on EL9

* Wed Jul 23 2025 Simone Caronni <negativo17@gmail.com> - 1.3.0-1
- Update to 1.3.0

* Sun May 25 2025 Simone Caronni <negativo17@gmail.com> - 1.1.0-1
- Update to 1.1.0

* Sat Mar 22 2025 Simone Caronni <negativo17@gmail.com> - 1.0.0-1
- First build
## END: Generated by rpmautospec
